Subject: Re: bug#25214: 26.0.50; Interacting with user from threads other than the primary

From: Eli Zaretskii <[email-masked]>
Date: Tue, 18 Sep 2018 15:33:32 +0300

> From: Michael Albinus <[email-masked]>
> Cc: [email-masked],  [email-masked]
> Date: Tue, 18 Sep 2018 10:21:35 +0200
> 
> > (I'm not sure I understand why you thought we'd need bullet #2, btw.
> > Once we interrupt the pselect call, the main thread should become
> > stuck trying to take the global lock, so I don't think we need any
> > trickery here, because the other thread, which is running, will have
> > arranged for it to be the current thread.)
> 
> Shouldn't there be several read_char calls in parallel? Bullet #2 is
> just a machinery to switch to the main thread, that's all. If we could
> manipulate the main thread from inside current thread, we wouldn't need this.

I think we arrived at the conclusion that simultaneous calls to
read_char should be avoided.